import { AstNode } from "./core/AstNode";
import { Writer } from "./core/Writer";
import { ModulePath } from "./core/types";
export declare namespace PythonFile {
    interface Args {
        moduleName: string;
        path: ModulePath;
        name: string;
    }
}
export declare class PythonFile extends AstNode {
    readonly moduleName: string;
    readonly path: ModulePath;
    readonly name: string;
    private readonly statements;
    constructor({ moduleName, path, name }: PythonFile.Args);
    addStatement(statement: AstNode): void;
    write(writer: Writer): void;
    /*******************************
     * Helper Methods
     *******************************/
    private getImportName;
    private writeImports;
}
