import { Class } from "./Class";
import { Field } from "./Field";
import { Reference } from "./Reference";
import { CodeBlock } from "./CodeBlock";
import { Method } from "./Method";
import { MethodInvocation } from "./MethodInvocation";
import { ClassInstantiation } from "./ClassInstantiation";
import { Parameter } from "./Parameter";
import { MethodArgument } from "./MethodArgument";
import { PythonFile } from "./PythonFile";
import { Decorator } from "./Decorator";
import { Operator } from "./Operator";
export { Class } from "./Class";
export { Field } from "./Field";
export { Reference } from "./Reference";
export { CodeBlock } from "./CodeBlock";
export { Method } from "./Method";
export { MethodInvocation } from "./MethodInvocation";
export { ClassInstantiation } from "./ClassInstantiation";
export { Parameter } from "./Parameter";
export { MethodArgument } from "./MethodArgument";
export { PythonFile } from "./PythonFile";
export { Decorator } from "./Decorator";
export { Operator } from "./Operator";
export { Type } from "./Type";
export { TypeInstantiation } from "./TypeInstantiation";
export function file(args) {
    return new PythonFile(args);
}
export function class_(args) {
    return new Class(args);
}
export function instantiateClass(args) {
    return new ClassInstantiation(args);
}
export function decorator(args) {
    return new Decorator(args);
}
export function reference(args) {
    return new Reference(args);
}
export function field(args) {
    return new Field(args);
}
export function codeBlock(args) {
    return new CodeBlock(args);
}
export function method(args) {
    return new Method(args);
}
export function invokeMethod(args) {
    return new MethodInvocation(args);
}
export function parameter(args) {
    return new Parameter(args);
}
export function methodArgument(args) {
    return new MethodArgument(args);
}
export function operator(args) {
    return new Operator(args);
}
